using System;
using System.Collections.Generic;
using System.Data;
using Orchard.ContentManagement.Drivers;
using Orchard.ContentManagement.MetaData;
using Orchard.ContentManagement.MetaData.Builders;
using Orchard.Core.Contents.Extensions;
using Orchard.Data.Migration;
using ActiveGames.Models;

namespace ActiveGames {
    public class Migrations : DataMigrationImpl {

        public int Create() {
			// Creating table ActiveGamesRecord
			SchemaBuilder.CreateTable("ActiveGamesRecord", table => table
				.ContentPartRecord()
				.Column("AccountName", DbType.String)
			);

            ContentDefinitionManager.AlterPartDefinition(
                typeof(ActiveGamesPart).Name, cfg => cfg.Attachable());

            return 1;
        }
    }
}