﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Orchard.ContentManagement.Records;
using Orchard.ContentManagement;
using System.ComponentModel.DataAnnotations;

namespace ActiveGames.Models
{
    public class ActiveGamesRecord : ContentPartRecord
    {
        public virtual string AccountName { get; set; }
    }
    public class ActiveGamesPart : ContentPart<ActiveGamesRecord>
    {
        [Required]
        public string AccountName
        {
            get { return Record.AccountName; }
            set { Record.AccountName = value; }
        }
    }
}